Apple Mac OS X Server prior 3.0 Profile Manager cross site scripting

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
6.0$0-$5k0.00

A vulnerability classified as critical has been found in Apple Mac OS X Server (Operating System). This affects an unknown code block of the component Profile Manager. The manipulation with an unknown input leads to a cross site scripting vulnerability. CWE is classifying the issue as CWE-79. This is going to have an impact on confidentiality, integrity, and availability. An attacker might be able to inject arbitrary html and script code into the web site. This would alter the appearance and would make it possible to initiate further attacks against site visitors.

The weakness was presented 10/22/2013 by Alan Jenkins as APPLE-SA-2013-10-22-5 as confirmed mailinglist post (Apple Security Mailinglist). The advisory is shared at lists.apple.com. The mailinglist post contains:

Multiple issues existed in Ruby on Rails, the most serious of which may lead to cross site scripting. These issues were addressed by updating the Rails implementation used by Profile Manager to version 2.3.18.
This vulnerability is uniquely identified as CVE-2013-1857 since 02/19/2013. The exploitability is told to be easy. It is possible to initiate the attack remotely. No form of authentication is needed for exploitation. It demands that the victim is doing some kind of user interaction. Neither technical details nor an exploit are publicly available. MITRE ATT&CK project uses the attack technique T1059.007 for this issue.

The vulnerability scanner Nessus provides a plugin with the ID 65727 (Debian DSA-2655-1 : rails - several vulnerabilities), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Debian Local Security Checks. The commercial vulnerability scanner Qualys is able to test this issue with plugin 166714 (OpenSuSE Security Update for rubygem-actionpack-2_3 (openSUSE-SU-2014:0019-1)).

Upgrading to version 3.0 eliminates this vulnerability. A possible mitigation has been published immediately after the disclosure of the vulnerability.

The vulnerability is also documented in the databases at X-Force (82923), Vulnerability Center (SBV-39034) and Tenable (65727). See 5926, 8030, 8031 and 8032 for similar entries.

Productinfoedit

Type

Vendor

Name

CPE 2.3infoedit

CPE 2.2infoedit

CVSSv3infoedit

VulDB Meta Base Score: 6.3
VulDB Meta Temp Score: 6.0

VulDB Base Score: 6.3
VulDB Temp Score: 6.0
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv2infoedit

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfoedit

Class: Cross site scripting
CWE: CWE-79
ATT&CK: T1059.007

Local: No
Remote: Yes

Availability: 🔍
Status: Not defined
Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 65727
Nessus Name: Debian DSA-2655-1 : rails - several vulnerabilities
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍

OpenVAS ID: 892655
OpenVAS Name: Debian Security Advisory DSA 2655-1 (rails - several vulnerabilities
OpenVAS File: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Name: 🔍

Threat Intelligenceinfoedit

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfoedit

Recommended: Upgrade
Status: 🔍

Reaction Time: 🔍
Exposure Time: 🔍

Upgrade: Mac OS X Server 3.0

Timelineinfoedit

02/19/2013 🔍
03/18/2013 +27 days 🔍
03/18/2013 +0 days 🔍
03/19/2013 +1 days 🔍
04/08/2013 +20 days 🔍
10/22/2013 +197 days 🔍
10/22/2013 +0 days 🔍
10/23/2013 +1 days 🔍
06/01/2021 +2778 days 🔍

Sourcesinfoedit

Vendor: https://www.apple.com/

Advisory: APPLE-SA-2013-10-22-5
Researcher: Alan Jenkins
Status: Confirmed
Confirmation: 🔍

CVE: CVE-2013-1857 (🔍)
OVAL: 🔍

X-Force: 82923
Vulnerability Center: 39034 - Ruby on Rails Before 2.3.18 and 3.x Sanitize Helper Remote XSS via a Crafted Scheme Name, Medium
SecurityFocus: 58555 - Ruby on Rails CVE-2013-1857 Cross Site Scripting Vulnerability

scip Labs: https://www.scip.ch/en/?labs.20150108
See also: 🔍

Entryinfoedit

Created: 10/23/2013 05:41 PM
Updated: 06/01/2021 08:47 AM
Changes: (3) vulnerability_cvss2_nvd_basescore exploit_price_0day source_nessus_risk
Complete: 🔍

Comments

No comments yet. Languages: en.

Please log in to comment.

Want to stay up to date on a daily basis?

Enable the mail alert feature now!